Index: plugins/importExport/index.php
===================================================================
--- plugins/importExport/index.php	(revision 696)
+++ plugins/importExport/index.php	(revision 840)
@@ -2,7 +2,7 @@
 # -- BEGIN LICENSE BLOCK ---------------------------------------
 #
-# This file is part of Dotclear 2.
+# This file is part of importExport, a plugin for DotClear2.
 #
-# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2012 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
@@ -12,19 +12,21 @@
 if (!defined('DC_CONTEXT_ADMIN')) { return; }
 
-require dirname(__FILE__).'/inc/class.dc.ieModule.php';
+function listImportExportModules($core,$modules)
+{
+	$res = '';
+	foreach ($modules as $id)
+	{
+		$o = new $id($core);
+		
+		$res .= 
+		'<dt><a href="'.$o->getURL(true).'">'.html::escapeHTML($o->name).'</a></dt>'.
+		'<dd>'.html::escapeHTML($o->description).'</dd>';
+		
+		unset($o);
+	}
+	return '<dl class="modules">'.$res.'</dl>';
+}
 
-$modules = new ArrayObject();
-$modules['i'] = new ArrayObject(array(
-	'dcImportFlat' => dirname(__FILE__).'/inc/class.dc.import.flat.php',
-	'dcImportFeed' => dirname(__FILE__).'/inc/class.dc.import.feed.php'
-));
-$modules['e'] = new ArrayObject(array(
-	'dcExportFlat' => dirname(__FILE__).'/inc/class.dc.export.flat.php'
-));
-
-if ($core->auth->isSuperAdmin()) {
-	$modules['i']['dcImportDC1']  = dirname(__FILE__).'/inc/class.dc.import.dc1.php';
-	$modules['i']['dcImportWP']  = dirname(__FILE__).'/inc/class.dc.import.wp.php';
-}
+$modules = new ArrayObject(array('import' => array(),'export' => array()));
 
 # --BEHAVIOR-- importExportModules
@@ -32,112 +34,62 @@
 
 $type = null;
-if (!empty($_REQUEST['t']) && ($_REQUEST['t'] == 'e' || $_REQUEST['t'] == 'i')) {
-	$type = $_REQUEST['t'];
+if (!empty($_REQUEST['type'])  && in_array($_REQUEST['type'],array('export','import'))) {
+	$type = $_REQUEST['type'];
 }
 
-$current_module = null;
-if ($type && !empty($_REQUEST['f'])) {
-	if (isset($modules[$type][$_REQUEST['f']])) {
-		require_once $modules[$type][$_REQUEST['f']];
-		$current_module = new $_REQUEST['f']($core);
-		$current_module->init();
+$module = null;
+if ($type && !empty($_REQUEST['module'])) {
+
+	if (isset($modules[$type]) && in_array($_REQUEST['module'],$modules[$type])) {
+	
+		$module = new $_REQUEST['module']($core);
+		$module->init();
 	}
 }
 
-if ($type && $current_module !== null && !empty($_REQUEST['do']))
+if ($type && $module !== null && !empty($_REQUEST['do']))
 {
 	try {
-		$current_module->process($_REQUEST['do']);
+		$module->process($_REQUEST['do']);
 	} catch (Exception $e) {
 		$core->error->add($e->getMessage());
 	}
 }
-?>
+
+$title = __('Import/Export');
+
+echo '
 <html>
 <head>
-	<title><?php echo __('Import/Export'); ?></title>
-	<style type="text/css">
-	dl.modules dt {
-		font-weight: bold;
-		font-size: 1.1em;
-		margin: 1em 0 0 0;
-	}
-	dl.modules dd {
-		margin: 0 0 1.5em 0;
-	}
-	div.ie-progress {
-		background: #eee;
-		margin: 1em 0;
-	}
-	div.ie-progress div {
-		height: 10px;
-		width: 0;
-		font-size: 0.8em;
-		line-height: 1em;
-		height: 1em;
-		padding: 2px 0;
-		text-align: right;
-		background: green url(index.php?pf=importExport/progress.png) repeat-x top left;
-		color: white;
-		font-weight: bold;
-		-moz-border-radius: 2px;
-	}
-	</style>
-	<script type="text/javascript" src="index.php?pf=importExport/script.js"></script>
+	<title>'.$title.'</title>
+	<link rel="stylesheet" type="text/css" href="index.php?pf=importExport/style.css" />
+	'.dcPage::jsLoad('index.php?pf=importExport/js/script.js').'
 	<script type="text/javascript">
 	//<![CDATA[
-	dotclear.msg.please_wait = '<?php echo html::escapeJS(__("Please wait...")); ?>';
+	'.dcPage::jsVar('dotclear.msg.please_wait',__('Please wait...')).'
 	//]]>
 	</script>
 </head>
-<body>
+<body>';
 
-<?php
-if ($type && $current_module !== null)
-{
-	echo '<h2><a href="'.$p_url.'">'.__('Import/Export').'</a>'.
-	' &rsaquo; <span class="page-title">'.html::escapeHTML($current_module->name).'</span></h2>';
+if ($type && $module !== null) {
+	echo
+	'<h2><a href="'.$p_url.'">'.$title.'</a>'.
+	' &rsaquo; <span class="page-title">'.html::escapeHTML($module->name).'</span></h2>'.
+	'<div id="ie-gui">';
 	
-	echo '<div id="ie-gui">';
-	$current_module->gui();
+	$module->gui();
+	
 	echo '</div>';
 }
-else
-{
-	echo '<h2 class="page-title">'.__('Import/Export').'</h2>';
-	echo '<h3>'.__('Import').'</h3>';
-	
-	echo '<dl class="modules">';
-	foreach ($modules['i'] as $k => $v)
-	{
-		require_once $v;
-		$o = new $k($core);
-		
-		echo 
-		'<dt><a href="'.$o->getURL(true).'">'.html::escapeHTML($o->name).'</a></dt>'.
-		'<dd>'.html::escapeHTML($o->description).'</dd>';
-		
-		unset($o);
-	}
-	echo '</dl>';
-	
-	echo '<h3>'.__('Export').'</h3>';
-	
-	echo '<dl class="modules">';
-	foreach ($modules['e'] as $k => $v)
-	{
-		require_once $v;
-		$o = new $k($core);
-		
-		echo 
-		'<dt><a href="'.$o->getURL(true).'">'.html::escapeHTML($o->name).'</a></dt>'.
-		'<dd>'.html::escapeHTML($o->description).'</dd>';
-		
-		unset($o);
-	}
-	echo '</dl>';
+else {
+	echo
+	'<h2 class="page-title">'.$title.'</h2>'.
+	'<h3>'.__('Import').'</h3>'.listImportExportModules($core,$modules['import']).
+	'<h3>'.__('Export').'</h3>'.listImportExportModules($core,$modules['export']);
 }
+
+echo '
+</body>
+</html>';
 ?>
-
-</body>
-</html>
Index: plugins/importExport/js/script.js
===================================================================
--- plugins/importExport/js/script.js	(revision 840)
+++ plugins/importExport/js/script.js	(revision 840)
@@ -0,0 +1,3 @@
+
+$(function(){if($('*.error').length>0){return;}
+$('#ie-gui form[method=post]:has(input[type=hidden][name=autosubmit])').each(function(){$('input[type=submit]',this).remove();$(this).after('<p style="font-size:2em;text-align:center">'+dotclear.msg.please_wait+'</p>');$(this).submit();});});
